﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;
using System.IO;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace PDFloadingSample
{
	public partial class LoadingPage : ContentPage
	{
		public LoadingPage ()
		{
			InitializeComponent ();

#if __IOS__

            var folder = Environment.GetFolderPath(Environment.SpecialFolder.Personal);
            var filePath = Path.Combine(folder, "File.pdf");

            FileStream Fstream = new FileStream(filePath, FileMode.Open);
            Stream fileStream1 = Fstream as Stream;
            pdfViewerControl.LoadDocument(fileStream1);


#elif __ANDROID__

            var folder = Environment.GetFolderPath(Environment.SpecialFolder.Personal);
            var filePath = Path.Combine(folder, "File.pdf");

            FileStream Fstream = new FileStream(filePath, FileMode.Open);
            Stream fileStream1 = Fstream as Stream;
            pdfViewerControl.LoadDocument(fileStream1);

#endif
        }
    }
}
